Subject: "GetNumberOfConsoleInputEvents" never 0?
From: [email-masked] (Tony FITZPATRICK)

27 Feb 1997 17:56:19 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked] (Unverified)
X-Mailer: Windows Eudora Light Version 1.5.2
Original-To: [email-masked]
Original-Sender: [email-masked]

I am working on texinfo in the cdk source release and having trouble with
the "info.exe" reader. The function "GetNumberOfConsoleInputEvents" always
returns 1 when it should be returning 0. "fhandler.cc" seems to expect it to
be able to return 0 and so does "info.exe". Not returning 0 inhibits
"info.exe" from showing the first node in the info tree.
"GetNumberOfConsoleInputEvents" is mapped directly to the windows function
of the same name and the API documentation that I have doesn't have anything
useful to contribute. The following test program illustrates the problem.
Anybody got any ideas how to get this function to return zero? I have
already had to modify "fhandler.cc" to get this far. I have also tried
playing with binary and text mode and it makes no difference.

#include <stdio.h>

main()
{
  int tty;
  int space_avail = 128;
  long chars_avail;
  unsigned char input[128];

  tty = fileno (stdin);
  chars_avail = read (tty, &input[0], space_avail);
  printf("chars_avail = %d\n", chars_avail);
  return 0;
}

All contributions will be gratefully received

                                        Tony

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".